#ifndef __CALLPROC_P_H__
#define __CALLPROC_P_H__

extern Lisp_Object call_process_cleanup _P_((Lisp_Object fdpid));
#ifdef WINDOWSNT
extern _VOID_ child_setup _P_((int in, int out, int err,
                               register char **new_argv, int set_pgrp,
                               Lisp_Object current_dir, int *cpid));
#else
extern _VOID_ child_setup _P_((int in, int out, int err,
                               register char **new_argv, int set_pgrp,
                               Lisp_Object current_dir));
#endif
extern int relocate_fd _P_((int fd, int min));
extern char * egetenv _P_((char *var));
extern _VOID_ init_callproc _P_((void));
extern _VOID_ set_process_environment _P_((void));
extern _VOID_ syms_of_callproc _P_((void));
    
DEFUN_P(Fcall_process, (int nargs, Lisp_Object *args));
DEFUN_P(Fcall_process_region, (int nargs, Lisp_Object *args));
DEFUN_P(Fgetenv, (Lisp_Object var));

#endif
